# Uses of Enum Class
org.openoffice.da.comp.w2lcommon.tex.tokenizer.TokenType

Packages that use TokenType
Package
Description
org.openoffice.da.comp.w2lcommon.tex.tokenizer

## Uses of TokenType in org.openoffice.da.comp.w2lcommon.tex.tokenizer

Methods in org.openoffice.da.comp.w2lcommon.tex.tokenizer that return TokenType
Modifier and Type
Method
Description
`TokenType`
Token.`getType()`
Get the `TokenType` of this token
`static TokenType`
TokenType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TokenType[]`
TokenType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.openoffice.da.comp.w2lcommon.tex.tokenizer with parameters of type TokenType
Modifier and Type
Method
Description
`boolean`
Token.`is(char c, TokenType type)`
Test wether this token is a character token of the given type (that is, a single character with a token type that is neither `COMMAND_SEQUENCE` nor `ENDINPUT`)
`protected void`
Token.`set(char c, TokenType type)`
Set this token as a character token with a specific `TokenType`
`protected void`
Token.`setType(TokenType type)`
Set the type of this token to a specific `TokenType` (the character content is not changed)